import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import javax.swing.*;

public class donmusDikdortgenSWF_2000 extends JFrame {

    final static Color kirmizi=Color.red;
    final static Color beyaz=Color.white;
    final static Color siyah=Color.black;

    public donmusDikdortgenSWF_2000()
    {
        super("Dödürülmüş - çekilmiş Dikdörtgen çizimleri");
        setBackground(Color.lightGray);
        setForeground(siyah);
    }

    public void paint(Graphics g) {
        Graphics2D g2 = (Graphics2D)g;
        g2.setPaint(Color.blue);
        Rectangle2D dikdortgen1=new Rectangle2D.Double(55,55,90,30);
        AffineTransform at= AffineTransform.getRotateInstance(45,50,50);
        g2.setTransform(at);
        g2.fill(dikdortgen1);
        g2.setPaint(siyah);
        Rectangle2D dikdortgen2=new Rectangle2D.Double(50,50,100,40);
        g2.draw(dikdortgen2);
        g2.setTransform(new AffineTransform());
        g2.setStroke(new BasicStroke(2f,BasicStroke.CAP_ROUND,
        BasicStroke.JOIN_ROUND,3f,new float[] {10f},0f));
        g2.setPaint(Color.black);
        Rectangle2D dikdortgen3=new Rectangle2D.Double(50,150,100,40);
        AffineTransform at1= AffineTransform.getScaleInstance(1.5,1.5);
        g2.setTransform(at1);
        g2.draw(dikdortgen3);
        g2.setTransform(new AffineTransform());
        GradientPaint kirmizidanbeyaza=new GradientPaint(250,50,kirmizi,350,90,beyaz);
        g2.setPaint(kirmizidanbeyaza);
        Rectangle2D dikdortgen4=new Rectangle2D.Double(250,50,100,40);
        AffineTransform at2= AffineTransform.getShearInstance(0.4,0);
        g2.setTransform(at2);
        g2.fill(dikdortgen4);
        g2.setTransform(new AffineTransform());
        GradientPaint kirmizidanmaviye=
        new GradientPaint(250,150,kirmizi,350,190,Color.blue);
        g2.setPaint(kirmizidanmaviye);
        Rectangle2D dikdortgen5=new Rectangle2D.Double(250,150,100,40);
        g2.fill(dikdortgen5);
        g2.setStroke(new BasicStroke(2f,BasicStroke.CAP_ROUND,
        BasicStroke.JOIN_ROUND,1f,new float[] {5f},0f));
        g2.setPaint(Color.black);
        AffineTransform at3= AffineTransform.getTranslateInstance(0.0,10.0);
        g2.setTransform(at3);
        g2.draw(dikdortgen5);
        g2.setTransform(new AffineTransform());
    }

    //=====================================================
      public static void main(String[] args)
      {
      donmusDikdortgenSWF_2000 pencere= new donmusDikdortgenSWF_2000();
      pencere.addWindowListener(new BasicWindowMonitor());
      pencere.setSize(400,300);
      pencere.setVisible(true);
      }
}
